Bug 438091 - Intel 4965 wireless drops connection during dhcp
Intel 4965 wireless drops connection during dhcp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 19:17 EDT by Mike Iglesias
Modified: 2009-01-09 01:13 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:13:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages entries showing iwl4965 debugging messages and dhclient log entries (207.24 KB, text/plain)
2008-03-18 19:17 EDT, Mike Iglesias
no flags Details

  None (edit)
Description Mike Iglesias 2008-03-18 19:17:40 EDT
Description of problem:

I have a Dell XPS M1330 laptop with an Intel 4965ABGN wireless adapter.  I am
not using NetworkManager or wpa_supplicant, just a ifcfg-wlan0 file to start the
 wireless connection.  The system is up to date on patches and is running kernel
2.6.24.3-34.fc8.

The problem I see is that if the laptop has been used wirelessly in one
environment (like at home with an IP like 192.168.1.102) and then I try to use
it at work, it will not get an IP address from the DHCP server when it boots.

What I see is this:

The wireless card is setup, and is ready.
dhclient sends a DHCPREQUEST for the old IP it had (which is on the wrong
network for the one it needs to be on)
The DHCP server sends a DHCPNAK
The wireless card goes not ready
dhclient tries to send a DHCPDISCOVER but the network is down
The last step is repeated a few times until dhclient gives up

I've verified on the DHCP server that the DHCP request is seen and the DHCPNAK
gets sent (which dhclient notes), and then is not heard from again (none of the
DHCPDISCOVER packets get to the DHCP server).

If I delete /var/lib/dhclient/dhclient-wlan0.leases file and reboot the system
it works fine.  dhclient doesn't see an old lease file, and just does the
DHCPDISCOVER to get an IP from the DHCP server.

Running "/sbin/ifup wlan0" after logging in doesn't work either, but some
logging by dhclient ends up in /var/log/messages.  I've attached a copy of the
dhclient log entries with debugging turned on for iwl4965.  Hopefully that will
help figure out what is going on.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use system on one wireless network
2. Move to another wireless network and boot system
3. 4965 interface will not have an IP
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Iglesias 2008-03-18 19:17:40 EDT
Created attachment 298462 [details]
/var/log/messages entries showing iwl4965 debugging messages and dhclient log entries
Comment 2 Bug Zapper 2008-11-26 05:12:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:13:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.